Bug 332773

Summary: After brushing for a while, if I take off my hand and the pen or lend them on the surface, a dot appears.
Product: krita Reporter: crockabiscuit
Component: Brush enginesAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: major CC: dimula73, halla
Priority: NOR    
Version: 2.8.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: The bug

Description crockabiscuit 2014-03-29 11:51:56 UTC
Created attachment 85823 [details]
The bug

It seems to be somehow related to https://bugs.kde.org/show_bug.cgi?id=306528
Comment 1 crockabiscuit 2014-03-29 11:55:04 UTC
I'm using intuos pen and touch small( CTH-480 ) as the digitizer.
Comment 2 crockabiscuit 2014-03-29 13:49:09 UTC
This issue occurs because the hand touches the tablet surface before the pen enter the proximity of the surface. I tried to change CursorProximity, but input-wacom doesn't support CursorProximity for CTH-480 for now at least.

GIMP and mypaint ignore tablet touch clicks.

Can you make krita canvas ignore table touch clicks?
Comment 3 crockabiscuit 2014-03-30 08:44:42 UTC
How about adding an option to ignore tablet finger clicks on canvas in preferences dialog?
tablet finger clicks can be useful outside canvas(e.g., radial menu, toolbar, etc)
Comment 4 Halla Rempt 2014-04-28 13:41:58 UTC
Yes, an option to ignore touch on the canvas should be added. It's also pretty easy to do.
Comment 5 Halla Rempt 2014-04-28 13:46:50 UTC
Argh... No... I am wrong, it's pretty easy to disable touch for pan/zoom, but pretty hard to do that for finger-painting, because we just get a mouse event for those and cannot distinguish between a mouse-mouse event and finger mouse event.
Comment 6 Dmitry Kazakov 2014-05-05 08:55:04 UTC
Well, I could search for a solution, if I had a touch-enabled tablet device. Probably, we could spend some time on it during the sprint in May?
Comment 7 Dmitry Kazakov 2014-05-16 17:29:48 UTC
Hi, crockabiscuit!

Could you tell, do you use the wireless adapter for the intuos or you connect it directly using the cable? It seems like the tablet works quite strange on linux when using wireless...
Comment 8 crockabiscuit 2014-05-18 01:42:26 UTC
(In reply to comment #7)
> Hi, crockabiscuit!
> 
> Could you tell, do you use the wireless adapter for the intuos or you
> connect it directly using the cable? It seems like the tablet works quite
> strange on linux when using wireless...

I don't have a wireless adapter.
Comment 9 Dmitry Kazakov 2014-05-30 10:04:36 UTC
Git commit 59573e51f1736a386f78f3be3affdb2644ec25a8 by Dmitry Kazakov.
Committed on 30/05/2014 at 10:03.
Pushed by dkazakov into branch 'master'.

Add an option to disable touch capabilities of the Wacom tablets on canvas only

If you want to use it, please add the following option to your kritarc file

disableTouchOnCanvas=true

(tested on linux only)
CCMAIL:kimageshop@kde.org

M  +30   -0    krita/ui/input/kis_input_manager.cpp
M  +4    -1    krita/ui/input/kis_tablet_event.h
M  +2    -0    krita/ui/input/wintab/kis_tablet_support.h
M  +70   -0    krita/ui/input/wintab/kis_tablet_support_x11.cpp
M  +10   -0    krita/ui/kis_config.cc
M  +3    -0    krita/ui/kis_config.h

http://commits.kde.org/calligra/59573e51f1736a386f78f3be3affdb2644ec25a8
Comment 10 crockabiscuit 2014-06-01 00:28:11 UTC
Wouldn't it be savvy to document disableTouchOnCanvas option somewhere like README?
Comment 11 Halla Rempt 2014-06-01 08:19:47 UTC
We'll probably add it to the gui after making sure it works everywhere :-)
Comment 12 Dmitry Kazakov 2014-08-23 14:54:01 UTC
Git commit f7cc48181bf6db059153820e034b7e18cfde48a7 by Dmitry Kazakov.
Committed on 30/05/2014 at 10:03.
Pushed by dkazakov into branch 'calligra/2.8'.

Add an option to disable touch capabilities of the Wacom tablets on canvas only

If you want to use it, please add the following option to your kritarc file

disableTouchOnCanvas=true

(tested on linux only)
CCMAIL:kimageshop@kde.org

M  +30   -0    krita/ui/input/kis_input_manager.cpp
M  +4    -1    krita/ui/input/kis_tablet_event.h
M  +2    -0    krita/ui/input/wintab/kis_tablet_support.h
M  +70   -0    krita/ui/input/wintab/kis_tablet_support_x11.cpp
M  +10   -0    krita/ui/kis_config.cc
M  +3    -0    krita/ui/kis_config.h

http://commits.kde.org/calligra/f7cc48181bf6db059153820e034b7e18cfde48a7